\r owncloud
SET character_set_client = utf8;

-- Création du parametrage LDAP
DELETE FROM oc_appconfig WHERE appid='user_ldap';

%if %%is_defined("ldap_reader_passfile")
INSERT INTO `oc_appconfig` (`appid`, `configkey`, `configvalue`) VALUES
('user_ldap', 'enabled', 'yes'),
('user_ldap', 'ldap_host', '%%adresse_ip_ldap'),
('user_ldap', 'ldap_port', '%%ldap_port'),

('user_ldap', 'ldap_dn', '%%ldap_reader'),
('user_ldap', 'ldap_agent_password', '%%pwdreader("base64",%%ldap_reader_passfile)'),

('user_ldap', 'ldap_base', '%%ldap_base_dn'),
('user_ldap', 'ldap_base_groups', '%%ldap_base_dn'),
('user_ldap', 'ldap_base_users', '%%ldap_base_dn'),


('user_ldap', 'ldap_login_filter', '(&(|(objectclass=inetOrgPerson))(uid=%uid))'),
('user_ldap', 'ldap_userlist_filter', '(|(objectclass=inetOrgPerson))'),
('user_ldap', 'ldap_userfilter_objectclass', 'inetOrgPerson'),

('user_ldap', 'ldap_group_filter', '(&(|(objectclass=posixGroup)))'),
('user_ldap', 'ldap_groupfilter_objectclass', 'posixGroup'),
('user_ldap', 'ldap_group_member_assoc_attribute', 'memberUid'),

('user_ldap', 'ldap_display_name', '%%ldap_fill_displayname'),
('user_ldap', 'ldap_email_attr', '%%ldap_fill_mail'),
('user_ldap', 'ldap_group_display_name', '%%ldap_fill_displaygroup'),
('user_ldap', 'ldap_expert_uuid_user_attr', 'uid'),

('user_ldap', 'has_memberof_filter_support', ''),
('user_ldap', 'home_folder_naming_rule', ''),
('user_ldap', 'installed_version', '0.8.0'),
('user_ldap', 'last_jpegPhoto_lookup', '0'),
('user_ldap', 'ldap_attributes_for_group_search', ''),
('user_ldap', 'ldap_attributes_for_user_search', 'uid\ndisplayName\nmail'),
('user_ldap', 'ldap_backup_host', ''),
('user_ldap', 'ldap_backup_port', ''),
('user_ldap', 'ldap_cache_ttl', '600'),
('user_ldap', 'ldap_configuration_active', '1'),
('user_ldap', 'ldap_expert_username_attr', ''),
('user_ldap', 'ldap_expert_uuid_group_attr', ''),
('user_ldap', 'ldap_group_filter_mode', '0'),
('user_ldap', 'ldap_groupfilter_groups', ''),
('user_ldap', 'ldap_login_filter_mode', '0'),
('user_ldap', 'ldap_loginfilter_attributes', ''),
('user_ldap', 'ldap_loginfilter_email', '0'),
('user_ldap', 'ldap_loginfilter_username', '1'),
('user_ldap', 'ldap_nested_groups', '0'),
('user_ldap', 'ldap_nocase', '0'),
('user_ldap', 'ldap_override_main_server', '0'),
('user_ldap', 'ldap_paging_size', '500'),
('user_ldap', 'ldap_quota_attr', ''),
('user_ldap', 'ldap_quota_def', ''),
('user_ldap', 'ldap_tls', '0'),
('user_ldap', 'ldap_turn_off_cert_check', '0'),
('user_ldap', 'ldap_user_filter_mode', '1'),
('user_ldap', 'ldap_userfilter_groups', ''),
('user_ldap', 'types', 'authentication');

%end if

-- Activation de la notification par email
DELETE FROM oc_appconfig WHERE appid='core' AND  configkey='shareapi_allow_mail_notification';
INSERT IGNORE INTO oc_appconfig (`appid`, `configkey`, `configvalue`) VALUES
('core','shareapi_allow_mail_notification','yes');


-- Creation des tables LDAP
CREATE TABLE IF NOT EXISTS `oc_ldap_group_mapping` (
  `ldap_dn` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `owncloud_name` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `directory_uuid` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`ldap_dn`),
  UNIQUE KEY `owncloud_name_groups` (`owncloud_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_ldap_group_members` (
  `owncloudname` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `owncloudusers` longtext COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`owncloudname`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_ldap_user_mapping` (
  `ldap_dn` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `owncloud_name` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `directory_uuid` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`owncloud_name`),
  UNIQUE KEY `ldap_dn_users` (`ldap_dn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- Creation table EnvoleCDT
CREATE TABLE IF NOT EXISTS `oc_clndr_envolecdt` (
  `idowncloud` int(11) NOT NULL,
  `login` varchar(50) NOT NULL,
  `typecdt` varchar(20) NOT NULL,
  `idsem` int(11) NOT NULL,
  `idcdt` int(11) NOT NULL,
  UNIQUE KEY `typecdt` (`login`,`typecdt`,`idsem`,`idcdt`,`idowncloud`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



%if %%is_defined('activer_addadmin') and %%activer_addadmin == 'oui'

%if %%is_defined('activer_owncloud') and %%activer_owncloud == 'oui'
-- ------------------------------------------------------------------------------------------------------------------------------------------
-- OWNCLOUD = Création admin secondaire

\r owncloud
SET character_set_client = utf8;

DROP PROCEDURE IF EXISTS AddAdminOwncloud;
delimiter |
CREATE PROCEDURE AddAdminOwncloud(_adminuser VARCHAR( 32 ))
BEGIN
    INSERT IGNORE INTO `oc_group_user` (`gid`, `uid`) VALUES
    ( 'admin', _adminuser);
END|
DELIMITER ;

CALL AddAdminOwncloud('%%uid_addadmin');
%end if

%end if
